@font-face {
    font-family: 'Cooper Hewitt';
    src: url('https://www.fontify.me/uploads/20230712/b8416abf-0808-4fa3-8187-914a9f1b83e7.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Cooper Hewitt';
    src: url('https://www.fontify.me/uploads/20230712/35747d55-d46c-4571-b8e5-b6565b8d6c5a.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Cooper Hewitt';
    src: url('https://www.fontify.me/uploads/20230712/2318e366-d45b-474d-a55e-3e7a2b3cd25f.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'Cooper Hewitt';
    src: url('https://www.fontify.me/uploads/20230712/e8c3d7f6-d97b-4709-b781-95488138a55d.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Cooper Hewitt', Arial, sans-serif;
    line-height: 1.6;
    color: #424242;
    padding: 1.6rem;
    max-width: 1400px;
    margin: 0 auto;
    background-color: #fff;
    font-weight: 400;
}

h1 {
    font-size: 2.4rem;
    margin-bottom: 0.8rem;
    margin-top: 3.2rem;
    color: #424242;
    font-weight: 700;
}

p {
    margin-bottom: 3.2rem;
    color: #424242;
    font-weight: 400;
}

h2 {
    font-size: 1.6rem;
    margin: 3.2rem 0 1.6rem;
    color: #424242;
    border-bottom: 1px solid #e0e0e0;
    padding-bottom: 0.8rem;
    font-weight: 600;
}

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.6rem;
    margin-bottom: 3.2rem;
}

@media (min-width: 768px) {
    .grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

.card {
    border: 1px solid #e0e0e0;
    border-radius: 0.8rem;
    overflow: hidden;
    transition: transform 0.2s, box-shadow 0.2s;
    cursor: pointer;
    position: relative;
    background-color: #fff;
}

.card:hover {
    transform: translateY(-0.4rem);
    box-shadow: 0 0.8rem 1.6rem rgba(0, 0, 0, 0.2);
}

.thumbnail {
    height: 16rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f5f5f5;
    padding: 1.6rem;
}

.thumbnail img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.file-icon {
    width: 4rem;
    height: 4rem;
    color: #424242;
}

.card-content {
    padding: 1.6rem;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
}

.file-name {
    font-weight: 600;
    margin-bottom: 0.8rem;
    word-break: break-word;
    font-size: 0.8rem;
    flex-grow: 1;
    color: #424242;
}

.file-meta {
    font-size: 0.8rem;
    color: #424242;
    margin-bottom: 1.6rem;
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    font-weight: 400;
}

.file-date {
    color: #ff8400;
}

.tags-and-download {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.tags-container {
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem;
}

.tag {
    background-color: #e0e0e0;
    border-radius: 1.6rem;
    padding: 0.4rem 0.8rem;
    font-size: 0.8rem;
    color: #424242;
    cursor: pointer;
    transition: background-color 0.2s;
    font-weight: 500;
    text-transform: uppercase;
    display: flex;
    align-items: center;
}

.tag:hover,
.tag.active {
    background-color: #ff8400;
    color: #fff;
}

.download-btn {
    background-color: #ff8400;
    color: #fff;
    border: none;
    border-radius: 0.4rem;
    padding: 0.4rem 0.8rem;
    cursor: pointer;
    font-size: 0;
    transition: background-color 0.2s;
    display: flex;
    align-items: center;
    justify-content: center;
    width: auto;
    height: auto;
    font-weight: 500;
}

.download-btn i {
    margin-left: 0;
    width: 1rem;
    height: 1rem;
}

.download-btn:hover {
    background-color: #ff8400;
}

.filters {
    background-color: #e0e0e0;
    padding: 1.6rem;
    border-radius: 0.8rem;
    margin-bottom: 3.2rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

.filters h3 {
    font-size: 1.2rem;
    margin-bottom: 1.6rem;
    font-weight: 500;
}

.search-container {
    display: flex;
    align-items: center;
    position: relative;
    margin-bottom: 0.8rem;
}

.search-input {
    width: 24rem;
    padding: 0.8rem;
    padding-right: 3.2rem;
    border: 1px solid #f5f5f5;
    border-radius: 0.4rem;
    font-size: 0.8rem;
    color: #424242;
    background: #f5f5f5;
    font-weight: 500;
}

.search-icon {
    position: absolute;
    right: 0.8rem;
    top: 50%;
    transform: translateY(-50%);
    color: #424242;
    width: 1.2rem;
    height: 1.2rem;
}

.all-tags-container {
    display: flex;
    flex-wrap: wrap;
    gap: 0.8rem;
    margin-bottom: 0.8rem;
}

.empty-state {
    text-align: center;
    padding: 3.2rem 0;
    color: #424242;
}
